/* (C)opyright MMVI-MMVII Anselm R. Garbe <garbeam at gmail dot com>
 * See LICENSE file for license details.
 */

#define TAGS \
const char *tags[] = { "Das Alles", "Das Nichts", NULL };

#define BORDERPX		1
#define DEFMODE			domax		/* dotile */
#define FLOATSYMBOL		""
#define TILESYMBOL		""

#define FONT			"-*-terminus-medium-*-*-*-12-*-*-*-*-*-*-*"
#define NORMBGCOLOR		"#333333"
#define NORMFGCOLOR		"#bbbbbb"
#define SELBGCOLOR		"#eec900"
#define SELFGCOLOR		"#000000"
#define NORMBORDERCOLOR		NORMBGCOLOR
#define SELBORDERCOLOR		SELBGCOLOR

#define MASTER			500		/* per thousand */
#define MODKEY			Mod1Mask
#define NMASTER			1		/* clients in master area */
#define SNAP			5		/* pixel */
#define TOPBAR			True		/* False */

#define KEYS \
static Key key[] = { \
	/* modifier			key		function	argument */ \
	{ MODKEY|ShiftMask,		XK_Return,	spawn,		{ .cmd = "exec urxvt" } }, \
	{ MODKEY,			XK_F1,		viewnext,		{ .i = 0 } }, \
	{ MODKEY,			XK_Tab,		focusnext,	{ 0 } }, \
	{ MODKEY,			XK_asciicircum,		spawn, \
		{ .cmd = "exe=\"$(lsx `echo $PATH | sed 's/:/ /g'` | sort -u " \
			" | dmenu -font '"FONT"' -normbg '"NORMBGCOLOR"' -normfg '"NORMFGCOLOR"' " \
			"-selbg '"SELBGCOLOR"' -selfg '"SELFGCOLOR"')\" && exec $exe" } }, \
	{ MODKEY,			XK_1, 	zoom,		{ 0 } }, \
	{ MODKEY, 		XK_2,		killclient,	{ 0 } }, \
	{ MODKEY|ShiftMask,		XK_q,		quit,		{ 0 } }, \
	{ MODKEY|ShiftMask,			XK_F4,		spawn,		{ .cmd = "sudo /sbin/shutdown -t 3 now" } }, \
	{ MODKEY,			XK_space,	togglemode,	{ 0 } }, \
	{ MODKEY|ShiftMask,		XK_space,	togglefloat,	{ 0 } }, \
	{ MODKEY,			XK_g,		resizemaster,	{ .i = 15 } }, \
	{ MODKEY,			XK_s,		resizemaster,	{ .i = -15 } }, \
	{ MODKEY,			XK_i,		incnmaster,	{ .i = 1 } }, \
	{ MODKEY,			XK_d,		incnmaster,	{ .i = -1 } }, \
	{ MODKEY|ShiftMask,		XK_1,		tag,		{ .i = 0 } }, \
	{ MODKEY|ShiftMask,		XK_2,		tag,		{ .i = 1 } }, \
};

/* Query class:instance:title for regex matching info with following command:
 * xprop | awk -F '"' '/^WM_CLASS/ { printf("%s:%s:",$4,$2) }; /^WM_NAME/ { printf("%s\n",$2) }' */
#define RULES \
static Rule rule[] = { \
	/* class:instance:title regex	tags regex	isfloat */ \
	{ "URxvt.*",	  	  	"Das Nichts",	    	False }, \
	{ "MPlayer.*",		  	NULL,	    	True }, \
	{ "Gimp.*",	      		"Das Alles",		True }, \
	{ ".*",		          	"Das Alles",	    	False }, \
};
